package com.cloudcross.ssp.model;

import java.util.Arrays;
import java.util.Date;
import java.util.List;

import com.cloudcross.ssp.web.widget.SelectorController.ISelector;

public class Zone implements ISelector{
	private Long id;
	private Long operator_id;
	private String name;
	private Long width;
	private Long height;
	private Integer device;
	private Integer position;
	private String domain;
	private Integer status;
	private Date updated;
	private Date supdated;
	private Integer recheck;
	private String default_path;
	private String default_url;
	private Long sizeId;
	private List<Industry> industryList;
	private String industry;
	private String default_path_small;
	
	public Date getSupdated() {
		return supdated;
	}
	public void setSupdated(Date supdated) {
		this.supdated = supdated;
	}
	public Long getSizeId() {
		return sizeId;
	}
	public void setSizeId(Long sizeId) {
		this.sizeId = sizeId;
	}
	public String getDefault_path() {
		return default_path;
	}
	public void setDefault_path(String default_path) {
		this.default_path = default_path;
	}
	public String getDefault_url() {
		return default_url;
	}
	public void setDefault_url(String default_url) {
		this.default_url = default_url;
	}
	public Integer getRecheck() {
		return recheck;
	}
	public void setRecheck(Integer recheck) {
		this.recheck = recheck;
	}
	public List<Industry> getIndustryList() {
		return industryList;
	}
	public void setIndustryList(List<Industry> industryList) {
		this.industryList = industryList;
	}
	public String getIndustry() {
		return industry;
	}
	public void setIndustry(String industry) {
		this.industry = industry;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getOperator_id() {
		return operator_id;
	}
	public void setOperator_id(Long operator_id) {
		this.operator_id = operator_id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public Long getWidth() {
		return width;
	}
	public void setWidth(Long width) {
		this.width = width;
	}
	public Long getHeight() {
		return height;
	}
	public void setHeight(Long height) {
		this.height = height;
	}
	public Integer getStatus() {
		return status;
	}
	
	public Integer getDevice() {
		return device;
	}
	public void setDevice(Integer device) {
		this.device = device;
	}
	public Integer getPosition() {
		return position;
	}
	public void setPosition(Integer position) {
		this.position = position;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Date getUpdated() {
		return updated;
	}
	public void setUpdated(Date updated) {
		this.updated = updated;
	}


	



	public String getDomain() {
		return domain;
	}
	public void setDomain(String domain) {
		this.domain = domain;
	}
	
	
	
	
	
	
	@Override
	public String toString() {
		return "Zone [id=" + id + ", operator_id=" + operator_id + ", name="
				+ name + ", width=" + width + ", height=" + height
				+ ", device=" + device + ", position=" + position + ", domain="
				+ domain + ", status=" + status + ", updated=" + updated
				+ ", supdated=" + supdated + ", recheck=" + recheck
				+ ", default_path=" + default_path + ", default_url="
				+ default_url + ", sizeId=" + sizeId + ", industryList="
				+ industryList + ", industry=" + industry
				+ ", default_path_small=" + default_path_small + "]";
	}
	public String getDefault_path_small() {
		return default_path_small;
	}
	public void setDefault_path_small(String default_path_small) {
		this.default_path_small = default_path_small;
	}
	@Override
	public String getLabel() {
		// TODO Auto-generated method stub
		return this.getName();
	}
	@Override
	public String getValue() {
		// TODO Auto-generated method stub
		return String.valueOf(this.getId());
	}
	
	

}
